scala.xml.parsing
class DefaultMarkupHandler

[source: `scala/xml/parsing/DefaultMarkupHandler.scala`]

`abstract` `class` DefaultMarkupHandler
  `extends` MarkupHandler

  default implemenation of markup handler always returns NodeSeq.Empty

Values and Variables inherited from MarkupHandler
isValidating, decls, ent

Method Summary
`def` | comment (pos : Int, comment : String) : NodeSeq callback method invoked by MarkupParser after parsing comment.
`def` | elem (pos : Int, pre : String, label : String, attrs : MetaData, scope : NamespaceBinding, args : NodeSeq) : NodeSeq callback method invoked by MarkupParser after parsing an elementm, between the elemStart and elemEnd callbacks
`def` | entityRef (pos : Int, n : String) : NodeSeq callback method invoked by MarkupParser after parsing entity ref.
`def` | procInstr (pos : Int, target : String, txt : String) : NodeSeq callback method invoked by MarkupParser after parsing PI.
`def` | text (pos : Int, txt : String) : NodeSeq callback method invoked by MarkupParser after parsing text.

Methods inherited from MarkupHandler
reportSyntaxError (abstract), lookupElemDecl, replacementText, endDTD, elemStart, elemEnd, elemDecl, attListDecl, parameterEntityDecl, parsedEntityDecl, unparsedEntityDecl, notationDecl, peReference

Methods inherited from Logged
log

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` elem(pos : Int, pre : String, label : String, attrs : MetaData, scope : NamespaceBinding, args : NodeSeq) : NodeSeq

  callback method invoked by MarkupParser after parsing an elementm, between the elemStart and elemEnd callbacks

Parameters
  `pos -` the position in the source file
  `pre -` the prefix
  `label -` the local name
  `attrs -` the attributes (metadata)
  `args -` the children of this element
Returns
  ...

Overrides
  MarkupHandler.elem

`` `def` procInstr(pos : Int, target : String, txt : String) : NodeSeq

  callback method invoked by MarkupParser after parsing PI.

Parameters
  `pos -` the position in the source file
  `target -` ...
  `txt -` ...
Returns
  ...

Overrides
  MarkupHandler.procInstr

`` `def` comment(pos : Int, comment : String) : NodeSeq

  callback method invoked by MarkupParser after parsing comment.

Parameters
  `pos -` the position in the source file
  `comment -` ...
Returns
  ...

Overrides
  MarkupHandler.comment

`` `def` entityRef(pos : Int, n : String) : NodeSeq

  callback method invoked by MarkupParser after parsing entity ref.

Todo
  expanding entity references

Overrides
  MarkupHandler.entityRef

`` `def` text(pos : Int, txt : String) : NodeSeq

  callback method invoked by MarkupParser after parsing text.

Overrides
  MarkupHandler.text